### Hierarchy

- Resolver

## Index

### Properties

- getServers
- resolve
- resolve4
- resolve6
- resolveAny
- resolveCname
- resolveMx
- resolveNaptr
- resolveNs
- resolvePtr
- resolveSoa
- resolveSrv
- resolveTxt
- reverse
- setServers

### Methods

- cancel

## Properties

### getServers

getServers: getServers

- Defined in node_modules/@types/node/dns.d.ts:275

### resolve

resolve: resolve

- Defined in node_modules/@types/node/dns.d.ts:277

### resolve4

resolve4: resolve4

- Defined in node_modules/@types/node/dns.d.ts:278

### resolve6

resolve6: resolve6

- Defined in node_modules/@types/node/dns.d.ts:279

### resolveAny

resolveAny: resolveAny

- Defined in node_modules/@types/node/dns.d.ts:280

### resolveCname

resolveCname: resolveCname

- Defined in node_modules/@types/node/dns.d.ts:281

### resolveMx

resolveMx: resolveMx

- Defined in node_modules/@types/node/dns.d.ts:282

### resolveNaptr

resolveNaptr: resolveNaptr

- Defined in node_modules/@types/node/dns.d.ts:283

### resolveNs

resolveNs: resolveNs

- Defined in node_modules/@types/node/dns.d.ts:284

### resolvePtr

resolvePtr: resolvePtr

- Defined in node_modules/@types/node/dns.d.ts:285

### resolveSoa

resolveSoa: resolveSoa

- Defined in node_modules/@types/node/dns.d.ts:286

### resolveSrv

resolveSrv: resolveSrv

- Defined in node_modules/@types/node/dns.d.ts:287

### resolveTxt

resolveTxt: resolveTxt

- Defined in node_modules/@types/node/dns.d.ts:288

### reverse

reverse: reverse

- Defined in node_modules/@types/node/dns.d.ts:289

### setServers

setServers: setServers

- Defined in node_modules/@types/node/dns.d.ts:276

## Methods

### cancel

- cancel(): void

- - Defined in node_modules/@types/node/dns.d.ts:290

  #### Returns void

Generated using TypeDoc